package bg.bas.dcl.mwe.lists;

public class AlphabetIndex {
	
	public final static Integer A = 0;
	public final static Integer B = 1;
	public final static Integer V = 2;
	public final static Integer G = 3;
	public final static Integer D = 4;
	public final static Integer E = 5;
	public final static Integer ZH = 6;
	public final static Integer Z = 7;
	public final static Integer I = 8;
	public final static Integer Y = 9;
	public final static Integer K = 10;
	public final static Integer L = 11;
	public final static Integer M = 12;
	public final static Integer N = 13;
	public final static Integer O = 14;
	public final static Integer P = 15;
	public final static Integer R = 16;
	public final static Integer S = 17;
	public final static Integer T = 18;
	public final static Integer U = 19;
	public final static Integer F = 20;
	public final static Integer H = 21;
	public final static Integer TS = 22;
	public final static Integer TSH = 23;
	public final static Integer SH = 24;
	public final static Integer SHT = 25;
	public final static Integer A1 = 26;
	public final static Integer A2 = 27;
	public final static Integer YU = 28;
	public final static Integer YA = 29;
	public final static Integer PUNCT = 30;
	public final static Integer NUM = 31;

	public final static Integer DEFAULT = 32;

	
	public static int getIndex(char letter) {
		switch(letter) {
			case 'а' : return A;
			case 'б' : return B;
			case 'в' : return V;
			case 'г' : return G;
			case 'д' : return D;
			case 'е' : return E;
			case 'ж' : return ZH;
			case 'з' : return Z;
			case 'и' : return I;
			case 'й' : return Y;
			case 'к' : return K;
			case 'л' : return L;
			case 'м' : return M;
			case 'н' : return N;
			case 'о' : return O;
			case 'п' : return P;
			case 'р' : return R;
			case 'с' : return S;
			case 'т' : return T;
			case 'у' : return U;
			case 'ф' : return F;
			case 'х' : return H;
			case 'ц' : return TS;
			case 'ч' : return TSH;
			case 'ш' : return SH;
			case 'щ' : return SHT;
			case 'ъ' : return A1;
			case 'ь' : return A2;
			case 'ю' : return YU;
			case 'я' : return YA;
			case 'А' : return A;
			case 'Б' : return B;
			case 'В' : return V;
			case 'Г' : return G;
			case 'Д' : return D;
			case 'Е' : return E;
			case 'Ж' : return ZH;
			case 'З' : return Z;
			case 'И' : return I;
			case 'Й' : return Y;
			case 'К' : return K;
			case 'Л' : return L;
			case 'М' : return M;
			case 'Н' : return N;
			case 'О' : return O;
			case 'П' : return P;
			case 'Р' : return R;
			case 'С' : return S;
			case 'Т' : return T;
			case 'У' : return U;
			case 'Ф' : return F;
			case 'Х' : return H;
			case 'Ц' : return TS;
			case 'Ч' : return TSH;
			case 'Ш' : return SH;
			case 'Щ' : return SHT;
			case 'Ъ' : return A1;
			case 'ѝ' : return A2;
			case 'Ю' : return YU;
			case 'Я' : return YA;
			case '.' : return PUNCT;
			case ';' : return PUNCT;
			case ':' : return PUNCT;
			case '(' : return PUNCT;
			case ')' : return PUNCT;
			case '[' : return PUNCT;
			case ']' : return PUNCT;
			case '{' : return PUNCT;
			case '}' : return PUNCT;
			case '?' : return PUNCT;
			case '!' : return PUNCT;
			case '$' : return PUNCT;
			case '&' : return PUNCT;
			case '<' : return PUNCT;
			case '>' : return PUNCT;
			case '-' : return PUNCT;
			case '/' : return PUNCT;
			case '\\' : return PUNCT;
			case '0' : return NUM;
			case '1' : return NUM;
			case '2' : return NUM;
			case '3' : return NUM;
			case '4' : return NUM;
			case '5' : return NUM;
			case '6' : return NUM;
			case '7' : return NUM;
			case '8' : return NUM;
			case '9' : return NUM;
			default : return DEFAULT;
		}
		
	}
	
	
}
